EnderDash

Update Game O Auth Client

POST
/organizations/updateGameOAuthClient

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
name*string
Length1 <= length <= 80
redirectUris*array<>
Items1 <= items <= 16
verifierScope*string

Value in

  • "organization"
  • "selected_servers"
verifierServerIds*array<>
Itemsitems <= 64
clientId*string
Formatuuid
enabled*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/updateGameOAuthClient" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "redirectUris": [      "http://example.com"    ],    "verifierScope": "organization",    "verifierServerIds": [      "53d6cad2-9403-4c46-94c8-fbcbbe2903f6"    ],    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",    "enabled": true  }'
null